Bug 159849

Summary: Web Inspector: UI polish for Open Quickly and Goto Line dialogs
Product: WebKit Reporter: Matt Baker <mattbaker>
Component: Web InspectorAssignee: Matt Baker <mattbaker>
Status: RESOLVED FIXED    
Severity: Normal CC: agomez, bburg, commit-queue, joepeck, mattbaker, nvasilyev, timothy, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: All   
OS: All   
Bug Depends on:    
Bug Blocks: 172110    
Attachments:
Description Flags
[Image] New UI
none
[Image] New UI (with results)
none
[Patch] Proposed Fix none

Description Matt Baker 2016-07-15 16:40:17 PDT
Show the search icon in both dialogs, and add a separator between Open Quickly's input field and results list. Both styles are present in Xcode 8.

This is a follow up to https://bugs.webkit.org/show_bug.cgi?id=159823.
Comment 1 Radar WebKit Bug Importer 2016-07-15 16:40:54 PDT
<rdar://problem/27383068>
Comment 2 Matt Baker 2016-08-03 18:52:53 PDT
Created attachment 285295 [details]
[Image] New UI
Comment 3 Matt Baker 2016-08-03 18:53:25 PDT
Created attachment 285296 [details]
[Image] New UI (with results)
Comment 4 Matt Baker 2016-08-03 20:31:22 PDT
Created attachment 285299 [details]
[Patch] Proposed Fix
Comment 5 BJ Burg 2016-08-04 10:28:07 PDT
Comment on attachment 285299 [details]
[Patch] Proposed Fix

r=me
Comment 6 WebKit Commit Bot 2016-08-04 10:48:40 PDT
Comment on attachment 285299 [details]
[Patch] Proposed Fix

Clearing flags on attachment: 285299

Committed r204124: <http://trac.webkit.org/changeset/204124>
Comment 7 WebKit Commit Bot 2016-08-04 10:48:44 PDT
All reviewed patches have been landed.  Closing bug.